using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace MagGame
{
    class InstructionsMenuImage
    {
        private UWB_PrimitiveRectangle myPrimitive;
        public InstructionsMenuImage()
        {
            myPrimitive = new UWB_PrimitiveRectangle();

            Vector3 min = new Vector3(0f, 0f, 0.0f);
            Vector3 max = new Vector3(1f, 1f, 0.0f);
            myPrimitive.EnableBlending(true);
            myPrimitive.EnableTexturing(true);
            myPrimitive.SetTextureFilename("instructions");
            myPrimitive.setShadeMode(eShadeMode.smFlat);
            myPrimitive.setFlatColor(Color.White);
            myPrimitive.SetCorners(min, max);
        }
        public void draw(UWB_DrawHelper drawHelper)
        {
            myPrimitive.draw(eLevelofDetail.lodHigh, drawHelper);
        }
    }
}
