using System;
using System.Collections.Generic;
using System.Text;

namespace MagGame
{
    public class ObstacleManager
    {
        List<Obstacle> m_Obstacles;

        public ObstacleManager()
        {
            m_Obstacles = new List<Obstacle>();
        }

        public void Initialize(int num)
        {   // generate specified # of obstacles
            // for now, type is always hole
            m_Obstacles.Clear();

            Obstacle ob;
            // THIS DOESNT WORK FOR SOME REASON!
            //for (int i = 0; i < num; i++)
            //{
                ob = new Hole(num);
                m_Obstacles.Add(ob);
            //}
        }

        public List<Obstacle> getObstacles()
        {
            return m_Obstacles;
        }

        public void Draw(eLevelofDetail lod, UWB_DrawHelper helper)
        {
            for (int i = 0; i < m_Obstacles.Count; i++)
                m_Obstacles[i].Draw(lod, helper);
        }

        public void DrawBound(UWB_DrawHelper helper)
        {
            for (int i = 0; i < m_Obstacles.Count; i++)
                m_Obstacles[i].DrawBound(helper);
        }

        public void Clear()
        {
            m_Obstacles.Clear();
        }

        public bool inAnObstacle(UWB_BoundingCircle other)
        {
            for (int i = 0; i < m_Obstacles.Count; i++)
                if (m_Obstacles[i].isInObstacle(other))
                    return true;
            return false;
        }

        public void AnimateAll(float elapsedSeconds)
        {
            for (int i = 0; i < m_Obstacles.Count; i++)
                m_Obstacles[i].Animate(elapsedSeconds);
        }
    }
}
